aboutsummaryrefslogtreecommitdiffstatshomepage
diff options
context:
space:
mode:
authorToby Vincent <tobyv@tobyvin.dev>2023-09-30 22:20:27 -0500
committerToby Vincent <tobyv@tobyvin.dev>2023-09-30 22:20:27 -0500
commitc83cdbef71d8f14d65ad60ed6665892d5997c51c (patch)
tree172c658b38b2254d9f423cc4fe1773ea66886f58
parent0f4ebad8282436f31f8d31478c8e2c86a1614549 (diff)
fix(mbsync): improve install script
-rwxr-xr-xmbsync/install.sh21
1 files changed, 6 insertions, 15 deletions
diff --git a/mbsync/install.sh b/mbsync/install.sh
index dafb48e..63eabbb 100755
--- a/mbsync/install.sh
+++ b/mbsync/install.sh
@@ -2,26 +2,17 @@
if command -v mbsync >/dev/null; then
systemctl --user enable --now mbsync.service
+ systemctl --user enable --now maildir-notify@gmail.service
+ systemctl --user enable --now maildir-notify@porkbun.service
else
- cat <<-EOF
- command not found: mbsync
-
- install 'isync' package:
- paru -S isync
- EOF
+ printf "%s: command not found: mbsync\n" "$0"
+ exit 1
fi
if command -v goimapnotify >/dev/null; then
systemctl --user enable --now goimapnotify@gmail.service
systemctl --user enable --now goimapnotify@porkbun.service
else
- cat <<-EOF
- command not found: goimapnotify
-
- install 'goimapnotify' package:
- paru -S goimapnotify
- EOF
+ printf "%s: command not found: goimapnotify\n" "$0"
+ exit 1
fi
-
-systemctl --user enable --now maildir-notify@gmail.service
-systemctl --user enable --now maildir-notify@porkbun.service